Hooks:PostHook( WeaponFactoryTweakData, "init", "degle_elfive_time", function(self)

	local custom_weapon_id = "wpn_fps_pis_limafive"
	local stance_base_id = "wpn_fps_pis_deagle"
	local uses_sights = {"wpn_fps_upg_o_specter", "wpn_fps_upg_o_aimpoint", "wpn_fps_upg_o_docter", "wpn_fps_upg_o_eotech", "wpn_fps_upg_o_t1micro", "wpn_fps_upg_o_cmore", "wpn_fps_upg_o_aimpoint_2", "wpn_fps_upg_o_acog", "wpn_fps_upg_o_eotech_xps", "wpn_fps_upg_o_reflex", "wpn_fps_upg_o_rx01", "wpn_fps_upg_o_rx30", "wpn_fps_upg_o_cs", "wpn_fps_upg_o_spot", "wpn_fps_upg_o_bmg", "wpn_fps_upg_o_uh", "wpn_fps_upg_o_fc1"}
	for _, sight_id in pairs(uses_sights) do
		if self.parts[sight_id].stance_mod[stance_base_id] then
			self.parts[sight_id].stance_mod[custom_weapon_id] = deep_clone(self.parts[sight_id].stance_mod[stance_base_id])
		else
			log("[DESERT EAGLE L5][ERROR] self.parts." .. sight_id .. ".stance_mod." .. stance_base_id .. " doesn't exist, stop trying to clone it you moron!")
		end
	end
	self.parts.wpn_fps_upg_o_rmr.stance_mod.wpn_fps_pis_limafive = {translation = Vector3(0.05, -1, -5.45), rotation = Rotation(0, -0.15, 0)}

	self.wpn_fps_pis_limafive.override = {
		wpn_fps_upg_o_rmr = {
		--	a_obj = "a_fuckoff",
			parent = "slide",
			adds = {}
		},
		wpn_fps_upg_pis_ns_flash = {
			a_obj = "a_ns",
			parent = "barrel"
		},
		wpn_fps_upg_ns_pis_medium_slim = {
			a_obj = "a_ns",
			parent = "barrel"
		},
		wpn_fps_upg_ns_ass_filter = {
			a_obj = "a_ns",
			parent = "barrel"
		},
		wpn_fps_upg_ns_pis_jungle = {
			a_obj = "a_ns",
			parent = "barrel"
		},
		wpn_fps_upg_ns_pis_large = {
			a_obj = "a_ns",
			parent = "barrel"
		},
		wpn_fps_upg_ns_pis_medium = {
			a_obj = "a_ns",
			parent = "barrel"
		},
		wpn_fps_upg_ns_pis_small = {
			a_obj = "a_ns",
			parent = "barrel"
		},
		wpn_fps_upg_ns_pis_large_kac = {
			a_obj = "a_ns",
			parent = "barrel"
		},
		wpn_fps_upg_ns_pis_medium_gem = {
			a_obj = "a_ns",
			parent = "barrel"
		},
		wpn_fps_upg_ns_pis_ipsccomp = {
			a_obj = "a_ns",
			parent = "barrel"
		},
		wpn_fps_upg_ns_pis_meatgrinder = {
			a_obj = "a_ns",
			parent = "barrel"
		},
		wpn_fps_upg_ns_pis_typhoon = {
			a_obj = "a_ns",
			parent = "barrel"
		}
		}
		
		
	if self.parts.wpn_fps_upg_am_gomerpyle then
		table.insert(self.wpn_fps_pis_limafive.uses_parts, "wpn_fps_upg_am_gomerpyle")
	end
	table.insert(self.wpn_fps_pis_limafive.uses_parts, "wpn_fps_upg_bonus_concealment_p2")
end)